kr.co.hanwha.hifive.util.glide

## Enum RoundedCornersTransformation.CornerType

- java.lang.Object
- - java.lang.Enum<RoundedCornersTransformation.CornerType>
  - - kr.co.hanwha.hifive.util.glide.RoundedCornersTransformation.CornerType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RoundedCornersTransformation.CornerType>

Enclosing class:
  RoundedCornersTransformation

    public static enum RoundedCornersTransformation.CornerType
    extends java.lang.Enum<RoundedCornersTransformation.CornerType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`BOTTOM`
`BOTTOM_LEFT`
`BOTTOM_RIGHT`
`DIAGONAL_FROM_TOP_LEFT`
`DIAGONAL_FROM_TOP_RIGHT`
`LEFT`
`OTHER_BOTTOM_LEFT`
`OTHER_BOTTOM_RIGHT`
`OTHER_TOP_LEFT`
`OTHER_TOP_RIGHT`
`RIGHT`
`TOP`
`TOP_LEFT`
`TOP_RIGHT`

### Method Summary

All Methods Static Methods Concrete Methods
`static RoundedCornersTransformation.CornerType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RoundedCornersTransformation.CornerType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final RoundedCornersTransformation.CornerType ALL

#### TOP_LEFT

    public static final RoundedCornersTransformation.CornerType TOP_LEFT

#### TOP_RIGHT

    public static final RoundedCornersTransformation.CornerType TOP_RIGHT

#### BOTTOM_LEFT

    public static final RoundedCornersTransformation.CornerType BOTTOM_LEFT

#### BOTTOM_RIGHT

    public static final RoundedCornersTransformation.CornerType BOTTOM_RIGHT

#### TOP

    public static final RoundedCornersTransformation.CornerType TOP

#### BOTTOM

    public static final RoundedCornersTransformation.CornerType BOTTOM

#### LEFT

    public static final RoundedCornersTransformation.CornerType LEFT

#### RIGHT

    public static final RoundedCornersTransformation.CornerType RIGHT

#### OTHER_TOP_LEFT

    public static final RoundedCornersTransformation.CornerType OTHER_TOP_LEFT

#### OTHER_TOP_RIGHT

    public static final RoundedCornersTransformation.CornerType OTHER_TOP_RIGHT

#### OTHER_BOTTOM_LEFT

    public static final RoundedCornersTransformation.CornerType OTHER_BOTTOM_LEFT

#### OTHER_BOTTOM_RIGHT

    public static final RoundedCornersTransformation.CornerType OTHER_BOTTOM_RIGHT

#### DIAGONAL_FROM_TOP_LEFT

    public static final RoundedCornersTransformation.CornerType DIAGONAL_FROM_TOP_LEFT

#### DIAGONAL_FROM_TOP_RIGHT

    public static final RoundedCornersTransformation.CornerType DIAGONAL_FROM_TOP_RIGHT

### Method Detail

#### values

    public static RoundedCornersTransformation.CornerType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RoundedCornersTransformation.CornerType c : RoundedCornersTransformation.CornerType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RoundedCornersTransformation.CornerType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null